> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Transfer Fees

> Calculate estimated payout fees before initiating a transfer



## OpenAPI

````yaml post /v1/transfers/estimate
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/transfers/estimate:
    post:
      summary: Estimate transfer fees
      operationId: estimate-fee
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - beneficiary_id
                - source_currency
              properties:
                beneficiary_id:
                  type: string
                  description: The Beneficiary id
                  examples: 9ad4789a-c864-48a6-a657-7fdfc57ba1fc
                source_currency:
                  type: string
                  example: sgd
                  description: 'The supported currency. '
                source_amount:
                  type: number
                  minimum: 1
                  description: >-
                    The amount to be transferred. Only required if
                    'payment_amount' is not set.
                  example: 112.42
                  format: double
                payment_amount:
                  type: number
                  minimum: 1
                  description: >-
                    The amount to be transferred. Only required if
                    'source_amount' is not set.
                  example: 10000.5
                  format: double
            examples:
              Result:
                value:
                  beneficiary_id: 9e3320ed-a47b-495b-8e60-e1b1347eb3e8
                  source_currency: sgd
                  source_amount: 100
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    source_amount: 100
                    source_amount_fees: 0
                    source_currency: sgd
                    exchange_rate: '1'
                    fx_pair: sgdsgd
                    payment_amount: 100
                    payment_amount_fees: 0
                    payment_currency: sgd
                    fee_payer: beneficiary
                    fee_currency: sgd
              schema:
                type: object
                properties:
                  source_amount:
                    type: number
                  source_amount_fees:
                    type: number
                  source_currency:
                    type: string
                  exchange_rate:
                    type: string
                  fx_pair:
                    type: string
                  payment_amount:
                    type: number
                  payment_amount_fees:
                    type: number
                  fee_payer:
                    type: string
                    enum:
                      - payer
                      - beneficiary
                  fee_currency:
                    type: string
                required:
                  - source_amount
                  - source_amount_fees
                  - source_currency
                  - exchange_rate
                  - payment_amount
                  - payment_amount_fees
                  - payment_currency
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: The beneficiary id field is required. (and 3 more errors)
                    errors:
                      beneficiary_id:
                        - The beneficiary id field is required.
                      source_currency:
                        - The source currency field is required.
                      source_amount:
                        - >-
                          The source amount field is required when payment
                          amount is not present.
                      payment_amount:
                        - >-
                          The payment amount field is required when source
                          amount is not present.
      deprecated: false

````